Bug 60445 - fp_dev_img_capture() not impplemented
Summary: fp_dev_img_capture() not impplemented
Status: RESOLVED FIXED
Alias: None
Product: libfprint
Classification: Unclassified
Component: libfprint (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: libfprint-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 21:54 UTC by Nick Sillik
Modified: 2013-09-05 14:39 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
0001-Implement-image-capture-both-synchronous-and-asynchr.patch (16.13 KB, patch)
2013-03-19 13:04 UTC, Vasily Khoruzhick
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Sillik 2013-02-07 21:54:40 UTC
Using a DigitalPersona U.and.U 4500 I'm getting error (code -EOPNOTSUPP) using `fp_dev_img_capture` (code -95), but `fp_dev_supports_imaging` returns non-zero indicating that image capture should work.

[1:28pm] nsillik: anarsoul: i'm getting errors using `fp_dev_img_capture` (code -95), but `fp_dev_supports_imaging` returns non-zero
[1:28pm] nsillik: same thing happens when i run examples/img_capture
[1:37pm] anarsoul: nsillik: what libfprint version do you use?
[1:38pm] anarsoul: -95 == -EOPNOTSUPP
[1:39pm] nsillik: 0.4.0 (from ubuntu repo)
[1:40pm] anarsoul: nsillik: well, you have to use asynchronous API, looks like synchronous fp_dev_img_capture was not re-implemented yet
[1:40pm] anarsoul: and btw uru4500 support was added only in libfprint-0.5.0
[1:40pm] nsillik: okay, i'll build it from source then
[1:41pm] anarsoul: you also could use fprint ppa
[1:42pm] anarsoul: nsillik: please file a bug on bugs.freedesktop.org about fp_dev_img_capture() not implemented
[1:42pm] anarsoul: product: libfprint, component: libfprint
[1:46pm] anarsoul: nsillik: see https://launchpad.net/~fingerprint/+archive/fprint
[1:46pm] nsillik: yup, i found that. thanks so much
[1:48pm] anarsoul: anyway, it's bed time here
[1:48pm] anarsoul: good night
Comment 1 Vasily Khoruzhick 2013-03-19 13:04:57 UTC
Created attachment 76751 [details] [review]
0001-Implement-image-capture-both-synchronous-and-asynchr.patch
Comment 2 Bastien Nocera 2013-03-26 11:21:57 UTC
Comment on attachment 76751 [details] [review]
0001-Implement-image-capture-both-synchronous-and-asynchr.patch

Review of attachment 76751 [details] [review]:
-----------------------------------------------------------------

Looks good. Could you please add a test case for this as a separate patch?
Comment 3 Vasily Khoruzhick 2013-05-24 08:51:51 UTC
There's already a test case (well, example), it's in examples/img_capture.c
Comment 4 Bastien Nocera 2013-06-14 13:08:21 UTC
Fine to commit then.
Comment 5 Vasily Khoruzhick 2013-09-05 14:39:41 UTC
Patch is merged into libfprint


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.